New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Dubbing

Replace a speaker's trimmed clone reference

POST
/api/v1/dubbing/projects/{project_id}/speakers/{speaker_id}/reference

Path Parameters

project_id*Project Id
speaker_id*Speaker Id

Request Body

application/json
  1. body
wav_base64*Wav Base64

Trimmed reference clip (base64 WAV)

ref_text?|

Client-transcribed transcript of the clip

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/dubbing/projects/string/speakers/string/reference' \  -H 'Content-Type: application/json' \  -d '{  "wav_base64": "string"}'
Example Response
null